# Sparebank1 ActualBudget Integration

🔧 WIP!

### Setting up the environment

In order to start the application, a `.env.local` file must be present at the root level. The possible and required
fields
can be found in the [.env.example](.env.example) file and `config.ts`.

For running integration tests, the `.env.test.local` file must be present at the root level, with Actual fields present.

HTTP requests can be used from an IDE via the .http files. Secrets must be placed in a file called
`http-client.private.env.json` in the [httpRequests](httpRequests) directory. See the .http files for required values.

### Running the application

Start the application using a CronJob that runs at a given time. Can be stopped using an interrupt (^C)

```shell
pnpm start
```

Start the application without a CronJob, it will run once, then shutdown.

```shell
pnpm run-once
```
