import { describe, it } from "@jest/globals"

import { daily } from "@/main.ts"
import { ActualImpl } from "@/actual.ts"
import { BankStub } from "./stubs/bankStub.ts"

// TODO testcontainers with Actual?
// TODO tests don't stop after completing

describe("Main logic of the application", () => {
  it("should import the transactions to Actual Budget", async () => {
    const actual = await ActualImpl.init()
    await daily(actual, new BankStub())
    await actual.shutdown()
  })
})
